package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BasDevice;
import cn.cecep.talroad.domain.BasDeviceSite;
import cn.cecep.talroad.vo.BasDeviceSiteExcelVo;
import cn.cecep.talroad.vo.BasDeviceSiteVo;
import cn.cecep.talroad.vo.MapPointVo;
import cn.cecep.talroad.vo.export.BasDeviceSiteExport;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface BasDeviceSiteMapper extends BaseMapper<BasDeviceSite>
{

    List<MapPointVo> selectMapPoints(String factoryId);

    List<BasDeviceSiteExcelVo> selectExportBasDeviceList(BasDeviceSite basDeviceSite);

    IPage<BasDeviceSiteExport> selectDeviceNameById(Page<BasDeviceSite> page, @Param("ew")  QueryWrapper<BasDeviceSite> queryWrapper);

    List<BasDeviceSiteExport> selectBasDeviceSiteExportList(@Param("ew")  QueryWrapper<BasDeviceSite> queryWrapper);
    List<BasDeviceSiteExport> selectBasDeviceSiteExportListT(@Param("ew")  QueryWrapper<BasDeviceSite> queryWrapper);

    List<BasDeviceSiteExport> selectBasDeviceList(@Param("ew")  QueryWrapper<BasDevice> queryWrapper);

    BasDeviceSiteExport getByExport(@Param("id")  String id);

    BasDeviceSiteVo.CountOverview selectCountOverview(@Param("regionCodeList") List<String> regionCodeList);

    List<Map<String, Object>> selectScatterChart(@Param("type") String type, @Param("regionCodeList") List<String> regionCodeList);

    List<BasDeviceSite> selectDevicePoints(@Param("factoryId") String factoryId);
}
